summaryrefslogtreecommitdiff
path: root/bootstrap
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap16
1 files changed, 16 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000000..e445af2f2c
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+# Import missing source files and create the build system.
+
+set -e -x
+
+top_srcdir="$PWD"
+export top_srcdir
+
+if [ ! -d nix-upstream ]
+then
+ git submodule init
+fi
+git submodule update
+
+exec autoreconf -vfi